- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- File List
- File Members

# sbuild-chroot-config.cc File Reference

`#include <config.h>`
`#include "sbuild-chroot.h"`
`#include "sbuild-chroot-source.h"`
`#include "sbuild-chroot-config.h"`
`#include "sbuild-lock.h"`
`#include <cerrno>`
`#include <cstdlib>`
`#include <cstring>`
`#include <iostream>`
`#include <ext/stdio_filebuf.h>`
`#include <sys/types.h>`
`#include <sys/stat.h>`
`#include <dirent.h>`
`#include <fcntl.h>`
`#include <unistd.h>`
`#include <boost/format.hpp>`

Include dependency graph for sbuild-chroot-config.cc:

## Typedefs
typedef std::pair< chroot_config::error_code, const char * > | emap
## Functions
bool | chroot_alphasort (sbuild::chroot::ptr const &c1, sbuild::chroot::ptr const &c2)
## Variables
emap | init_errors []
| This is a list of the supported error codes.

## Typedef Documentation

typedef std::pair<chroot_config::error_code,const char *> emap`[static]`

## Function Documentation

bool @3::chroot_alphasort | ( | sbuild::chroot::ptr const & | c1,
|  | sbuild::chroot::ptr const & | c2 |
| ) |  |  | `[static]`

## Variable Documentation

emap init_errors[]`[static]`

Initial value:

        {

          emap(chroot_config::ALIAS_EXIST,     N_("Alias '%1%' already associated with '%4%' chroot")),
          emap(chroot_config::CHROOT_NOTFOUND, N_("No such chroot")),

          emap(chroot_config::CHROOT_EXIST,    N_("A chroot or alias '%1%' already exists by this name")),
          emap(chroot_config::DIR_OPEN,        N_("Failed to open directory")),
          emap(chroot_config::FILE_NOTREG,     N_("File is not a regular file")),
          emap(chroot_config::FILE_OPEN,       N_("Failed to open file")),
          emap(chroot_config::FILE_OWNER,      N_("File is not owned by user root")),
          emap(chroot_config::FILE_PERMS,      N_("File has write permissions for others")),
          emap(chroot_config::FILE_STAT,       N_("Failed to stat file"))
        }

This is a list of the supported error codes.

It's used to construct the real error codes map.